<?php
/**
* Simple Hide Contents
* Written by Ver Pangonilo
* Website: http://s.pangonilo.com
* License: http://www.gnu.org/licenses/
* 
* Hide contents from guest and to users who have not
* replied to the topic.
* 
* To hide content envelope it with [hide]..hidden content..[/hide]  
*/
if(!defined("IN_MYBB")){
    die('You Cannot Access This File Directly');
}
/**
 * add hooks
 */
$plugins->add_hook('showthread_end', 'hide_replied');
$plugins->add_hook('postbit','hide_main');

/**
 * Plugin info  
 */
function hide_info()
{
    return array(
        'name'			=>	'Simple Hide Contents',
        'description'	=>	'Hide contents to guest.',
        'website'		=>	'http://s.pangonilo.com/',
        'author'		=>	'Ver Pangonilo',
        'authorsite'	=>	'http://s.pangonilo.com/',
        'version'		=>	'1.0',
        'guid'			=>	'',
        'compatibility'	=>	'16*');
}

/**
 * Plugin Activate
 */
function hide_activate(){

}

/**
 * Plugin Deactivate
 */
function hide_deactivate(){

}

/**
 * Checks the UserIDs of replies
 * @param $alreadyreplied 
 * @param $replycheck
 */
function hide_replied()
{
    global $mybb, $db, $thread;
    /**
     * Get the topic id
     */
    $topic_id = $mybb->input['tid'];
    /**
     * Initialize $alreadyreplied variable
     */
    $alreadyreplied = 0;
	/**
     * If the user is not a guest, check if he already replied.
     */
	if($mybb->user['uid'] != 0)
	{
		/**
         * SQL statement
         * Check if userid has already replied to the topic
         */
        $query = $db->simple_select("posts", "*", "uid='".$mybb->user['uid']."' AND tid='".$mybb->input['tid']."'");
		/**
         * If already replied
         */
        while($replycheck = $db->fetch_array($query))
		{	
			/**
             * then update variable to a new value
             */
            $alreadyreplied = 1;
		}
	}
    /**
     * return the result
     */
    return $alreadyreplied;
}

/**
 * @param $m
 */
function hide_main($m)
{
    global $mybb, $db, $thread;     
    /**
     * User is a guest 
     */
    if ($mybb->user['uid'] == 0)   
    {
        /**
         * Ask guest to login or register to see hidden
         * content
         */
        $m = preg_replace('#\[hide\](.*?)\[\/hide\]#si','<hr /><strong>Hidden text here...<br />
                            <a href="./member.php?action=login" title="login to EEAME" style="color: blue; font-weight:bold;">Login</a> or <a href="./member.php?action=register" title="Join EEAME" style="color: blue; font-weight:bold;">register</a> to read more...</strong><br /><hr />',$m);
    } 
    /**
     * User is logged in but have not replied to the topic
     * to see hidden content
     */
    elseif(hide_replied() == 0)
    {
        /**
         * Ask user to reply
         */
        $m = preg_replace('#\[hide\](.*?)\[\/hide\]#si','<hr /><strong>Hidden text here...<br />
                       <a href="./newreply.php?tid=' . $mybb->input['tid'] . '" title="Reply to Thread" style="color: blue; font-weight:bold;">reply</a> to see hidden text...</strong><br /><hr />',$m);       
    }
    /**
     * If logged and replied to the topic.
     */
    else 
    {
        /**
         * show contents
         */
        $m = str_replace(array('[hide]','[/hide]'), array('', ''),$m);    
    }

    return $m;
}